clang-tools 3.8.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Friends | List of all members
clang::tidy::modernize::ComponentFinderASTVisitor Class Reference

Class used to find the variables and member expressions on which an arbitrary expression depends. More...

`#include <LoopConvertUtils.h>`

Inheritance diagram for clang::tidy::modernize::ComponentFinderASTVisitor:
[legend]
Collaboration diagram for clang::tidy::modernize::ComponentFinderASTVisitor:
[legend]

## Public Member Functions
| ComponentFinderASTVisitor ()
void | findExprComponents (const clang::Expr *SourceExpr)
| Find the components of an expression and place them in a ComponentVector. More...
const ComponentVector & | getComponents ()
| Accessor for Components. More...

## Friends
class | clang::RecursiveASTVisitor< ComponentFinderASTVisitor >

## Detailed Description

Class used to find the variables and member expressions on which an arbitrary expression depends.

Definition at line 79 of file LoopConvertUtils.h.

## Constructor & Destructor Documentation

clang::tidy::modernize::ComponentFinderASTVisitor::ComponentFinderASTVisitor | ( |  | ) |
| inline

Definition at line 82 of file LoopConvertUtils.h.

## Member Function Documentation

void clang::tidy::modernize::ComponentFinderASTVisitor::findExprComponents | ( | const clang::Expr * | SourceExpr | ) |
| inline

Find the components of an expression and place them in a ComponentVector.

Definition at line 85 of file LoopConvertUtils.h.

Referenced by clang::tidy::modernize::LoopConvertCheck::check().

const ComponentVector& clang::tidy::modernize::ComponentFinderASTVisitor::getComponents | ( |  | ) |
| inline

Accessor for Components.

Definition at line 90 of file LoopConvertUtils.h.

Referenced by clang::tidy::modernize::LoopConvertCheck::check().

## Friends And Related Function Documentation

friend class clang::RecursiveASTVisitor< ComponentFinderASTVisitor >
| friend

Definition at line 92 of file LoopConvertUtils.h.

The documentation for this class was generated from the following files:

- LoopConvertUtils.h
- LoopConvertUtils.cpp